/* Basic styling */
body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
}

/* Overlay */
#overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 999;
}

/* Modal Styling */
.modal {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #fff;
  padding: 40px 20px 20px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
  z-index: 999;
  border-radius: 8px;
  max-width: 450px;
  max-height: 400px;
}

.modal-content {
  position: relative;
  border: none;
}

.modal-content h2 {
  font-size: 23px;
}

.modal-content p {
  font-size: 16px;
  margin-bottom: 5px;
}

.close {
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: larger;
  font-weight: bold;
  border: 1px solid;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  text-align: center;
  cursor: pointer;
}

.blue-text {
  color: #007bff;
  margin-bottom: 10px;
  font-weight: bold;
}

textarea,
input {
  width: 100%;
  padding: 10px;
  margin-top: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

#callBackForm {
  display: none;
  display: flex;
  align-items: center;
  gap: 10px; /* Adds spacing between input and button */
}

#phoneInput {
  flex: 1; /* Allows the input to take available space */
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

#submite {
  background: #007bff;
  color: white;
  padding: 5px 15px;
  border: none;
  cursor: pointer;
  border-radius: 5px;
  margin: 0px 0px 10px;
}
#callBackBtn {
  background: #007bff;
  color: white;
  padding: 5px 15px;
  border: none;
  cursor: pointer;
  border-radius: 5px;
  margin: 5px 0px;
}

#callBackBtn:hover {
  background: #0056b3;
}

button {
  background: #007bff;
  color: white;
  padding: 10px 15px;
  border: none;
  cursor: pointer;
  border-radius: 5px;
}

button:hover {
  background: #0056b3;
}

a {
  color: #007bff;
  text-decoration: none;
  cursor: pointer;
}

a:hover {
  text-decoration: underline;
}

.note {
  font-size: 12px;
  color: #777;
}

@media (max-width: 760px) {
  .modal {
    max-height: 85%;
  }

  #toggleCallBack {
    font-size: 13px;
  }

  .modal-content p {
    font-size: 13px;
    padding: 5px 0px;
  }
}
